textures/common/snow_terrain 
{ 
	qer_editorimage textures/common/snow-terrain.tga
	surfaceparm nodraw 
	surfaceparm nomarks 
	surfaceparm nolightmap
	surfaceparm snowsteps
        q3map_terrain 
}

textures/delivery/baseterrain
{

	q3map_lightmapsampleoffset 8.0
	q3map_lightmapaxis z
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	surfaceparm snowsteps
	q3map_globaltexture
}


textures/delivery/terrain_0
{
	q3map_baseshader textures/delivery/baseterrain
	q3map_lightimage textures/delivery/deliverymxsnow0.jpg
	{
		map textures/delivery/deliverymxsnow0.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity
	}
}

textures/delivery/terrain_1
{
	q3map_baseshader textures/delivery/baseterrain
	q3map_lightimage textures/delivery/deliverymxsnow4.jpg
	{
		map textures/delivery/deliverymxsnow4.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity
	}
}

textures/delivery/terrain_2
{
	q3map_baseshader textures/delivery/baseterrain
	q3map_lightimage textures/delivery/darkmxsnow0.jpg
	{
		map textures/delivery/darkmxsnow0.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity
	}
}

textures/delivery/terrain_0to1
{
	q3map_baseshader textures/delivery/baseterrain
	q3map_lightimage textures/delivery/terrain01merge.jpg
	{
		map textures/delivery/deliverymxsnow0.jpg
		rgbGen identity
	}
	{
		map textures/delivery/deliverymxsnow4.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity
	}
}

textures/delivery/terrain_0to2
{
	q3map_baseshader textures/delivery/baseterrain
	q3map_lightimage textures/delivery/terrain02merge.jpg
	{
		map textures/delivery/deliverymxsnow0.jpg
		rgbGen identity
	}
	{
		map textures/delivery/darkmxsnow0.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity
	}
}

textures/delivery/terrain_1to2
{
	q3map_baseshader textures/delivery/baseterrain
	q3map_lightimage textures/delivery/terrain12merge.jpg
	{
		map textures/delivery/deliverymxsnow4.jpg
		rgbGen identity
	}
	{
		map textures/delivery/darkmxsnow0.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity
	}
}

textures/delivery/terrain.vertex
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	q3map_globaltexture
	{
		map textures/delivery/deliverymxsnow0.jpg
		rgbGen vertex
	}
}

textures/delivery/night_sky
{
	nocompress
	qer_editorimage textures/skies/beachsky_m01
	q3map_lightimage textures/skies/n_blue2.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_globaltexture
	q3map_lightsubdivide 1024 
	q3map_sun 0.274632 0.274632 0.39 30 315 45
	q3map_surfacelight 75
	skyparms full 200 -
	sunshader sun
	{
		map textures/skies/nightsky1.tga
		tcMod scale 16.0 16.0
		depthWrite
	}
	{
		map textures/skies/vil_clouds1.tga
		blendfunc blend
//		tcMod scroll 0.01 0.00
		tcMod scale 2 1
	}
}

textures/delivery/crate2
{

	qer_editorimage textures/delivery/crate2.jpg
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen vertex
	}
	{
		map textures/delivery/crate2.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen vertex
	}
}

textures/delivery/crate3
{

	qer_editorimage textures/delivery/crate3.jpg
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen vertex
	}
	{
		map textures/delivery/crate3.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen vertex
	}
}

textures/delivery/red_barrel_side
{
	surfaceparm metalsteps
	qer_editorimage textures/devliery/delivery_barrel_m01.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/deliverys/delivery_barrel_m01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}


textures/delivery/red_barrel_top
{
	surfaceparm metalsteps
	qer_editorimage textures/devliery/delivery_barrel_m02.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/deliverys/delivery_barrel_m02.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/delivery/redmetal
{
	qer_editorimage textures/delivery/moltonmetal.jpg
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nolightmap
	q3map_surfacelight 10000
	cull disable
	tesssize 128
	deformVertexes wave 100 sin 3 1 .1 0.005
	{
		map textures/delivery/moltonmetal.jpg
		tcMod turb 0 .1 0 .005
	}
}

textures/delivery/sone
{
	polygonOffset
	entityMergable
	{
		map textures/delivery/sone.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

textures/delivery/stwo
{
	polygonOffset
	entityMergable
	{
		map textures/delivery/stwo.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

textures/delivery/sthree
{
	polygonOffset
	entityMergable
	{
		map textures/delivery/sthree.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

textures/delivery/none
{
	polygonOffset
	entityMergable
	{
		map textures/delivery/none.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

textures/delivery/ntwo
{
	polygonOffset
	entityMergable
	{
		map textures/delivery/ntwo.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

textures/delivery/nthree
{
	polygonOffset
	entityMergable
	{
		map textures/delivery/nthree.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

textures/delivery/northfd
{
	polygonOffset
	entityMergable
	{
		map textures/delivery/northfd.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

textures/delivery/northfd1
{
	polygonOffset
	entityMergable
	{
		map textures/delivery/northfd1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

textures/delivery/southfd
{
	polygonOffset
	entityMergable
	{
		map textures/delivery/southfd.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

textures/delivery/southfd1
{
	polygonOffset
	entityMergable
	{
		map textures/delivery/southfd1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

textures/delivery/foundryflamefast1
{
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodlight
	cull none
	q3map_lightimage textures/sfx/flame_COLOR.tga
	q3map_surfacelight 2500
	qer_editorimage textures/sfx/flame1.tga

	{
		animMap 8 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave sawtooth 0 1 0 16
	}	
	{
		animMap 8 textures/sfx/flame8.tga textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 16
	}	
	{
		map textures/sfx/flameball.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave sin .6 .2 0 .6
	}
}

textures/delivery/foundryflamefast2
{
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodlight
	cull none
	q3map_lightimage textures/sfx/flame_COLOR.tga
	q3map_surfacelight 2500
	qer_editorimage textures/sfx/flame1.tga

	{
		animMap 8 textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga 
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave sawtooth 0 1 0 16
	}	
	{
		animMap 8  textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga textures/sfx/flame2.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 16
	}	
	{
		map textures/sfx/flameball.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave sin .6 .2 0 .6
	}
}

textures/delivery/foundryflame1
{
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodlight
	cull none
	q3map_lightimage textures/sfx/flame_COLOR.tga
	q3map_surfacelight 2500
	qer_editorimage textures/sfx/flame1.tga

	{
		animMap 8 textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave sawtooth 0 1 0 8
	}	
	{
		animMap 8  textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga textures/sfx/flame2.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 8
	}	
	{
		map textures/sfx/flameball.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave sin .6 .2 0 .6
	}
}

textures/delivery/foundryflame2
{
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodlight
	cull none
	q3map_lightimage textures/sfx/flame_COLOR.tga
	q3map_surfacelight 2500
	qer_editorimage textures/sfx/flame1.tga

	{
		animMap 8 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga 
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave sawtooth 0 1 0 8
	}	
	{
		animMap 8  textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga 
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 8
	}	
	{
		map textures/sfx/flameball.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave sin .6 .2 0 .6
	}
}

textures/delivery/foundryflame3
{
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodlight
	cull none
	q3map_lightimage textures/sfx/flame_COLOR.tga
	q3map_surfacelight 2500
	qer_editorimage textures/sfx/flame1.tga

	{
		animMap 8 textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave sawtooth 0 1 0 8
	}	
	{
		animMap 8  textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga 
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 8
	}	
	{
		map textures/sfx/flameball.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave sin .6 .2 0 .6
	}
}

textures/delivery/coal
{
	
        qer_editorimage textures/delivery/coal.jpg
        surfaceparm gravelsteps
	{
		map $lightmap
		rgbGen identity		
	}
	{
		map textures/delivery/coal.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity		
	}
}

textures/delivery/dirty_wood
{
	surfaceparm woodsteps
        qer_editorimage textures/delivery/dirty_wood.jpg
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/delivery/dirty_wood.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/delivery/northlift
{
	polygonOffset
	entityMergable
	{
		map textures/delivery/northlift.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

textures/delivery/southlift
{
	polygonOffset
	entityMergable
	{
		map textures/delivery/southlift.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

textures/delivery/northentrance
{
	polygonOffset
	entityMergable
	{
		map textures/delivery/northentrance.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

textures/delivery/southentrance
{
	polygonOffset
	entityMergable
	{
		map textures/delivery/southentrance.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

textures/delivery/track_bent
{
	polygonOffset
	entityMergable
	{
		map textures/delivery/track_bent.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

textures/delivery/outoforder
{
	surfaceparm woodsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/delivery/outofordersign.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/delivery/box_t_m01_delivery
{
	surfaceparm woodsteps
	qer_editorimage textures/delivery/box_t_m01.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/delivery/box_t_m01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/delivery/wood_m13_usat_delivery
{
	surfaceparm woodsteps
	qer_editorimage textures/delivery/wood_m13_usat.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/delivery/wood_m13_usat.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/delivery/decalveryicy
{
	polygonOffset
	entityMergable
	{
		map textures/delivery/decalveryicy.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

textures/delivery/bars_m01
{
    qer_editorimage textures/delivery/bars_m01.tga
    surfaceparm alphashadow    
    surfaceparm metalsteps
    surfaceparm nomarks
    nomipmaps
    nopicmip
    cull disable
    {
        map textures/delivery/bars_m01.tga
        alphaFunc GE128
        depthWrite
        rgbGen vertex
    }
}

textures/delivery/pisser
{
	qer_editorimage textures/delivery/pisser.tga
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen vertex
	}
	{
		map textures/delivery/pisser.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen vertex
	}
}

textures/delivery/flareglow
{
    qer_editorimage textures/delivery/flareglow.tga
    cull none
    surfaceparm nomarks	
    surfaceparm nolightmap 
    nopicmip
    nofog
    deformVertexes autosprite
    {
	clampmap textures/delivery/flareglow.tga
	blendFunc GL_SRC_ALPHA GL_ONE
	rgbgen vertex
    }
}
textures/delivery/decallight
{
	polygonOffset
	entityMergable
	qer_editorimage textures/lights/light_c01.tga
	surfaceparm nomarks
	q3map_lightimage textures/delivery/lightimage.jpg
	q3map_surfacelight 5000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lights/light_c01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lights/light_m01b.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/delivery/outsidespot
{
    q3map_lightimage textures/lights/light_m6.blend.tga
    qer_editorimage textures/lights/light_m6.tga
    q3map_surfacelight 10000
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/lights/light_m6.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/lights/light_m6.blend.tga
        blendFunc GL_ONE GL_ONE
    }
}

textures/delivery/foundryglass
{
    qer_editorimage textures/alpha/fence_c11.tga
    surfaceparm glass
    nomipmaps
    nopicmip
    cull disable
    {
        map textures/alpha/fence_c11.tga
        alphaFunc GE128
        depthWrite
        rgbGen vertex
    }
}

textures/delivery/river
{
	qer_editorimage textures/liquids/water_m7.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	deformVertexes wave 64 sin .5 .2 0 .5	
	{ 
		map textures/liquids/water_m7.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen vertex
		tcmod scale .3 .5
		tcmod stretch 0 1 .01 0 .25 1
		tcmod scroll 0.5 0
	}	
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

models/mapobjects/light/cagelight_b
{
	surfaceparm nomarks
	q3map_lightimage models/mapobjects/light/cagelight_b.tga
	q3map_surfacelight 7000
	q3map_lightrgb 0.1 0.1 1.0
	{
		map models/mapobjects/light/cagelight_b.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen vertex
	}
	{
		map models/mapobjects/light/cagelight.blendb.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/delivery/viewscreen
{
	qer_editorimage textures/delivery/portal.tga
	portal
	surfaceparm nolightmap
	surfaceparm glass
	{
		map textures/delivery/portal_ground.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}
	{
		map textures/delivery/scrollbar_portal.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		alphagen portal 1024
		rgbGen identityLighting	
		tcmod scroll 3 1
	}
	{
		map textures/delivery/portal_noise.tga
		rgbGen identity
	   	tcMod scroll 4 4 
		depthWrite
		alphaFunc GE128
	}
	{
        	map textures/delivery/screenfx.tga
        	tcGen environment
		blendfunc add
		rgbGen identity
        }
}

textures/delivery/spotlight_beam
{
	nocompress
	qer_editorimage textures/delivery/spotlight_beam.tga
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		map textures/delivery/spotlight_beam.tga
                blendFunc add
        }
}